
/* -- CONVENIENCE -- */
.black, .section_header a.black {
  color: black;
}

.center {
  text-align: center;
}

.textalignright {
  text-align: right;
}

.a {
  text-decoration: underline;
  cursor: pointer;
}

.loading {
	text-decoration: underline;
	cursor: wait;
}

.topmargin {
 	margin-top: 10px;
}

.toppadding {
	padding-top: 5px;
}

.bottompadding {
	padding-bottom: 5px;
}

.nowrap {
	white-space: nowrap;
}

/* -- IMAGES -- */

img.smicon {
  float: left;
  margin: 2px 10px 0 10px;
}

.content_header a.help-icon img,
.dark_header a.help-icon img,
.medium_header a.help-icon img,
.filterCell a.help-icon img,
.tabular_data  a.help-icon img{
  padding-left:5px;
  position:relative;
  top:3px;
}

.submitbtn {
  padding: 0 10px 0 10px;
  border: 1px solid #ABB2B8;
  font-weight: bold;
  color: black;
  background: url(/images/shared/bg_submit_btn.gif) #6E7A84 repeat-x;
}

.padded {			/* used to add padding to the medium_header and dark)header elements */
  margin-bottom: 11px;	
}


.darkSpacer {	    /* used only in TabbedPaneTag... */
  background-color: #6C6C6C;
  height: 20px;
}

table.nobottom {
	border-bottom: 0px;
}

#toggleShowMsgs {
  color: white;
  text-decoration: none;
  margin-left: 25px;
  padding: 2px;
  text-decoration:underline;
}


.loadingimage {
  padding-top: 80px;
}

.loadingmessage {
  padding-left: 15px;
  font-size: larger;
}

.contentbackgroundimage {	
  height: 251px;
  background: url(/images/shared/loading_background.gif) top right no-repeat; 
  width: 100%;
}

/* -- TABS  -- */
.tabs {
  height: 31px;
  font-size: 11px;
  font-weight: bold;
}

.tabs table td {
  vertical-align: middle;
  border-right: 1px solid #EEEDE6;
}

.tabs table td a {
  display: block;
  padding: 10px 10px 0 10px;
  height: 21px;
  text-decoration: none;
  color: #363636;
  background: url(/images/shared/transparentGradient.png) #d6cfc6;
}

/* These styles are also set in tabs.js */
.tabs table td a.on {
  background: url(/images/shared/transparentGradient.png) #111;
  color: #fff;
}

.tabs table td a.disabled {
  background: url(/images/shared/transparentGradient.png) #ffffff;
  color: #AAAAAA;
}

.buttonnav {
  font-size: 11px;
  background: url(/images/shared/transparentGradient.png);
  padding: 4px 4px 4px 4px;
}

.spacer {
  border-bottom: 10px solid #FFFFFF;
}

/* used in stopwords, thesaurus, phrase, redirect, user, and rules */
table tr.deleted td {
  background-color: #949390;
  color: #6B6B6B;
}

table tr.deleted td a {
  color: #6B6B6B;
}

.filterCell, .verticalAlignMiddle {
  vertical-align: middle;
}

/* disabled buttons in firefox */
input[disabled], button[disabled], submit[disabled] {
  color: #888888;
}

/* leftover from old admin.css */
label.permission_radio {
   padding-right: 20px;
}


/* wrapper wraps the entire body */
#wrapper {
  float: left;
  width: 100%;
  height: 100%;
  padding:0px;
  margin:0px;
}

/* mainPane is the wrapper for all the content in the launch page */
* html #mainPane {
    /* HACK: Note that the difference between 1010 and 1000 causes a small blue gradient to appear 
		at the top right of workbench in IE6 when the page is between 1010 and 1000 pixels wide.
		Without the difference, however, IE6 will sometimes freeze while the page is being resized. */
  	width:expression(document.body.clientWidth < 1010 ? "1000px" : "100%");
}

#mainPane {
  position:relative;
  float:left;
  clear:right;
  width:100%;
  min-width:1000px;
  z-index:0;
  background: url(/images/newskin/huge.png) #FFFFFF no-repeat;
}

/* HACK: Do not apply left or right margin or padding to the contentcolumn as its interaction
	with the expression hack below can freeze IE6 */
#contentcolumn {
  position:relative;
  margin-top:30px;
  width:79%;
  min-width:800px;
  overflow:visible;
  height:auto;
  float:left;
  z-index:2;
}

* html #contentcolumn {
	/* For old versions of IE 6 (e.g.6.0.2900.2180.* SP2) prevents wrapping when overflow is set to visible */
	clear: right;
	/* If the available width is less than 1040, force a minimum width of 800px manually.
		else if the browser is ie6, calculate the document width (this is needed to prevent the content
		from wrapping at 1024px wide)
		else the browser is not ie6, we can just set the width by percentage. 
		This expression still allows all browsers to have dynamic sized widths (resizing changes the content width))
	*/
  	width:expression(document.body.clientWidth < 1040 ? 
		"800px" :
		document.documentElement && document.documentElement.clientWidth ? document.documentElement.clientWidth-210+'px' : 80%;
}

.clear {
	clear: both;
	height: 0px;
	margin: 0px 0px 0px 0px;
	padding: 0px 0px 0px 0px;
	border-width: 0px;
	border-style: none;
	line-height: 0px;
	font-size: 0px; /* makes clear div not take up room in ie6 */
}
